package com.acdp.transceivr;

import com.eclipsesource.json.JsonObject;

public class Transfer {
    public Transfer(int id) {
        this.id = id;
        startTS=System.currentTimeMillis();
    }

    public long bytesRead;
    public long contentLength;
    public String from;
    public String to;
    public String uploadError;
    public int uploadCode;
    public String uploadResponseBody;
    public boolean downloadDone = false;
    public boolean uploadDone = false;
    public long startTS;
    public long currentTS;

    int id;

    public JsonObject toJSON() {
        JsonObject js = new JsonObject();
        js.add("id", id);
        js.add("bytesRead", bytesRead);
        js.add("contentLength", contentLength);
        js.add("from", from);
        js.add("to", to);
        js.add("uploadError", uploadError);
        js.add("uploadCode", uploadCode);
        js.add("uploadResponseBody", uploadResponseBody);
        js.add("progress", contentLength>0?((100 * bytesRead) / contentLength):0);
        js.add("downloadDone", downloadDone);
        js.add("uploadDone", uploadDone);
        var diff=currentTS-startTS;
        js.add("rate",  diff>0?(bytesRead/diff):0);
        return js;
    }
}
